Ben
Burton
bab@debian.org
7 Marzo 2003
addebug
1

# `addebug`

Modifica i `Makefile` per aggiungere informazioni per il debug

    adddebug -k -r -n

## Descrizione

`adddebug` modifica il `Makefile` nella directory corrente (e anche nelle sue sottodirectory) per aggiungere informazioni per il debug (`-g3`). Rimuoverà anche le ottimizzazioni (`-O[1-9]`).

Questa applicazione è parte del pacchetto di sviluppo software di &kde;.

## Opzioni

`-k`

  Mantiene le ottimizzazioni (non rimuove le opzioni `-O[1-9]?` che normalmente vengono rimosse).

`-r`

  Cerca ricorsivamente in tutte le sottodirectory della directory corrente e agisce su ogni `Makefile` trovato.

`-n`

  compila senza che vengano definiti NDEBUG e NO_DEBUG (fa sì che le chiamate a `kdDebug` funzionino)